;Commands for Sandrock (nodeX)
; OKAY, 3, 2, 1, LET'S JAM ...
;---------------------------------------------------------------------------
;The CMD File
; Two parts: 1. Command definition and  2. State entry
; (state entry is after the commands def section)
;
; 1. Command definition
; ---------------------
; Note: The commands are CASE-SENSITIVE, and so are the command names.
; The eight directions are:
;   B, DB, D, DF, F, UF, U, UB     (all CAPS)
;   corresponding to back, down-back, down, downforward, etc.
; The six buttons are:
;   a, b, c, x, y, z               (all lower case)
;   In default key config, abc are are the bottom, and xyz are on the
;   top row. For 2 button characters, we recommend you use a and b.
;   For 6 button characters, use abc for kicks and xyz for punches.
;
; Each [Command] section defines a command that you can use for
; state entry, as well as in the CNS file.
; The command section should look like:
;
;   [Command]
;   name = some_name
;   command = the_command
;   time = time (optional -- defaults to 15 if omitted)
;
; - some_name
;   A name to give that command. You'll use this name to refer to
;   that command in the state entry, as well as the CNS. It is case-
;   sensitive (QCB_a is NOT the same as Qcb_a or QCB_A).
;
; - command
;   list of buttons or directions, separated by commas.
;   Directions and buttons can be preceded by special characters:
;   slash (/) - means the key must be held down
;          egs. command = /D       ;hold the down direction
;               command = /DB, a   ;hold down-back while you press a
;   tilde (~) - to detect key releases
;          egs. command = ~a       ;release the a button
;               command = ~D, F, a ;release down, press fwd, then a
;          If you want to detect "charge moves", you can specify
;          the time the key must be held down for (in game-ticks)
;          egs. command = ~30a     ;hold a for at least 30 ticks, then release
;               command = ~30
;   dollar ($) - Direction-only: detect as 4-way
;          egs. command = $D       ;will detect if D, DB or DF is held
;               command = $B       ;will detect if B, DB or UB is held
;   plus (+) - Buttons only: simultaneous press
;          egs. command = a+b      ;press a and b at the same time
;               command = x+y+z    ;press x, y and z at the same time
;   You can combine them:
;     eg. command = ~30$D, a+b     ;hold D, DB or DF for 30 ticks, release,
;                                  ;then press a and b together
;   It's recommended that for most "motion" commads, eg. quarter-circle-fwd,
;   you start off with a "release direction". This matches the way most
;   popular fighting games implement their engine.
;
; - time (optional)
;   Time allowed to do the command, given in game-ticks. Defaults to 15
;   if omitted
;
; If you have two or more commands with the same name, all of them will
; work. You can use it to allow multiple motions for the same move.
;
; Some common commands are given below. Delete, add, or modify as you wish.

;-| Zero System (psuedo - AI) |--------------------------------------------
[Command]
name = "ZeroSys1"
command = x, y, /DF,a, ~U, x, y, ~D, DF, F, y
time = 1

[Command]
name = "ZeroSys2"
command = x, y, a, b, ~D, DB, B, x
time = 1

[Command]
name = "ZeroSys3"
command = ~D, DB, B, x, ~D, DF, F, y
time = 1

[Command]
name = "ZeroSys4"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, a
time = 1

[Command]
name = "ZeroSys5"
command = /DF,a, ~U, x, y, a, b
time = 1

[Command]
name = "ZeroSys6"
command = /DF,a, ~U, x, y, a, b, ~D, DF, F, y
time = 1

[Command]
name = "ZeroSys7"
command = ~30s, /U, a+z+s
time = 1

[Command]
name = "ZeroSys8"
command = ~30s, /b, a+z+s
time = 1

[Command]
name = "ZeroSys9"
command = ~D, DF, F, s, ~D, DB, B, y, ~D, DF, F, D, DF, F, a+b+z+s
time = 1

[Command]
name = "ZeroSys10"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, a
time = 1

[Command]
name = "ZeroSys11"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, a
time = 1

[Command]
name = "ZeroSys12"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, UB, U, D, UB, s
time = 1

[Command]
name = "ZeroSys13"
command = ~D, DF, F, y, ~D, DB, B, y, ~U, B, F, D, DF, F, a
time = 1

[Command]
name = "ZeroSys14"
command = ~D, DF, F, y, ~U, DB, B, y, ~D, DF, F, D, DF, F, U
time = 1

[Command]
name = "ZeroSys15"
command = ~D, DF, UB, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, a+s
time = 1

[Command]
name = "ZeroSys16"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, x+c
time = 1

[Command]
name = "ZeroSys17"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DB, F, D, DF, F, a+b
time = 1

[Command]
name = "ZeroSys18"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, D, F, D, DF, F, y+c
time = 1

[Command]
name = "ZeroSys19"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, UB, U, D, UB, s
time = 1

[Command]
name = "ZeroSys20"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, UB, U, D, UB, a
time = 1

[Command]
name = "ZeroSys21"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, UB, U, D, UB, c
time = 1

[Command]
name = "ZeroSys22"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, UB, U, D, UB, b
time = 1

[Command]
name = "ZeroSys23"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, UB, U, D, UB, x
time = 1

[Command]
name = "ZeroSys24"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, UB, U, D, UB, y
time = 1

[Command]
name = "ZeroSys25"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, UB, U, D, UB, z
time = 1

[Command]
name = "ZeroSys26"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, UB, U, D, UB, a+b
time = 1

[Command]
name = "ZeroSys27"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, UB, U, D, UB, a+c
time = 1

[Command]
name = "ZeroSys28"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, UB, U, D, UB, b+c
time = 1

[Command]
name = "ZeroSys29"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, UB, U, D, UB, x+y
time = 1

[Command]
name = "ZeroSys30"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, UB, U, D, UB, x+z
time = 1

[Command]
name = "ZeroSys31"
command = ~D, DF, F, y, ~D, DB, B, y, ~D, DF, F, D, DF, F, UB, U, D, UB, y+z
time = 1

[Command]
name = "ZeroSys32"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, x
time = 0

[Command]
name = "ZeroSys33"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, y
time = 0

[Command]
name = "ZeroSys34"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, z
time = 0

[Command]
name = "ZeroSys35"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, a
time = 0

[Command]
name = "ZeroSys36"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, b
time = 0

[Command]
name = "ZeroSys37"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, c
time = 0

[Command]
name = "ZeroSys38"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, x+y
time = 0

[Command]
name = "ZeroSys39"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, x+z
time = 0

[Command]
name = "ZeroSys40"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, x+a
time = 0

[Command]
name = "ZeroSys41"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, x+b
time = 0

[Command]
name = "ZeroSys42"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, x+c
time = 0

[Command]
name = "ZeroSys43"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, y+z
time = 0

[Command]
name = "ZeroSys44"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, y+a
time = 0

[Command]
name = "ZeroSys45"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, y+b
time = 0

[Command]
name = "ZeroSys46"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, y+c
time = 0

[Command]
name = "ZeroSys47"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, z+a
time = 0

[Command]
name = "ZeroSys48"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, z+b
time = 0

[Command]
name = "ZeroSys49"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, z+c
time = 0

[Command]
name = "ZeroSys50"
command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, a+b
time = 0


;-| Super Motions |--------------------------------------------------------
[Command]
name = "MCore"
command = ~D, DF, F, D, DF, F, x
time = 25

[Command] 
name = "MCore"
command = ~D, DF, F, D, DF, F, y
time = 25

[Command]
name = "MCore"
command = ~D, DF, F, D, DF, F, a
time = 25

[Command]
name = "MCore"
command = ~D, DF, F, D, DF, F, b
time = 25

;-| Special Motions |------------------------------------------------------
[Command]
name = "hold1"
command = ~F, D, DF, x

[Command]
name = "hold1"
command = ~F, D, DF, a

[Command]
name = "hold2"
command = ~F, D, DF, y

[Command]
name = "hold2"
command = ~F, D, DF, b


[Command]
name = "QCF1"
command = ~D, DF, F, x

[Command]
name = "QCF1"
command = ~D, DF, F, a

[Command]
name = "QCF2"
command = ~D, DF, F, y

[Command]
name = "QCF2"
command = ~D, DF, F, b


[Command]
name = "QCB1"
command = ~D, DB, B, x

[Command]
name = "QCB1"
command = ~D, DB, B, a

[Command]
name = "QCB2"
command = ~D, DB, B, y

[Command]
name = "QCB2"
command = ~D, DB, B, b

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "counter"
command = a+z
time = 10

[Command]
name = "counter"
command = b+z
time = 10

[Command]
name = "counter"
command = x+z
time = 10

[Command]
name = "counter"
command = y+z
time = 10

[Command]
name = "counter"
command = a+c

[Command]
name = "counter"
command = b+c

[Command]
name = "counter"
command = x+c

[Command]
name = "counter"
command = y+c


[Command]
name = "vernier"
command = x+y
time = 5

[Command]
name = "vernier"
command = a+b
time = 5

[Command]
name = "vernier"
command = x+a
time = 5

[Command]
name = "vernier"
command = y+b
time = 5

[Command]
name = "vernier"
command = x+b
time = 5

[Command]
name = "vernier"
command = y+a
time = 5

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = /$D,y
time = 2

[Command]
name = "recovery"
command = /F,y
time = 2

[Command]
name = "recovery"
command = /B,y
time = 2

[Command]
name = "recovery"
command = /$D,b
time = 2

[Command]
name = "recovery"
command = /F,b
time = 2

[Command]
name = "recovery"
command = /B,b
time = 2


[Command]
name = "fwd_x"
command = /F,x
time = 1

[Command]
name = "fwd_y"
command = /F,y
time = 1

[Command]
name = "back_x"
command = /B,x
time = 1

[Command]
name = "back_y"
command = /B,y
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.  
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]


;===========================================================================
;---------------------------------------------------------------------------
;Magnac Corps Super
[State -1, Magnac Corps Super]
type = ChangeState
value = 3000
triggerall = command = "MCore"
triggerall = power >= 2000
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = statetype != A
trigger2 = stateno != 3000
trigger2 = hitdefattr = SC, NA, SA
trigger2 = movecontact

;===========================================================================
;---------------------------------------------------------------------------
;Weak Special Throw
[State -1, Weak Special Throw]
type = ChangeState
value = 1039
triggerall = command = "hold1"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = hitdefattr = SC, NA
trigger2 = movecontact

;---------------------------------------------------------------------------
;Strong Special Throw
[State -1, Strong Special Throw]
type = ChangeState
value = 1043
triggerall = command = "hold2"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = hitdefattr = SC, NA
trigger2 = movecontact

;---------------------------------------------------------------------------
;Weak Heat Shotel
[State -1, Weak Heat Shotel]
type = ChangeState
value = 1000
triggerall = command = "QCF1"
triggerall = Pos Y = 0
triggerall = numproj = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && time > 10
trigger2 = movecontact
trigger3 = stateno = [210,230]
trigger3 = movecontact
trigger4 = stateno = [400,430]
trigger4 = movecontact
trigger5 = stateno = 1020 
trigger5 = movecontact
trigger6 = stateno = 1021 && time >= 67
trigger6 = movecontact
trigger7 = stateno = 1025 && time >= 8
trigger7 = movecontact
trigger8 = stateno = 100 && time > 5

;---------------------------------------------------------------------------
;Strong Heat Shotel
;Jt[˂ij
[State -1, Shotel]
type = ChangeState
value = 1010
triggerall = command = "QCF2"
triggerall = Pos Y = 0
triggerall = numproj = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && time > 10
trigger2 = movecontact
trigger3 = stateno = [210,230]
trigger3 = movecontact
trigger4 = stateno = [400,430]
trigger4 = movecontact
trigger5 = stateno = 1020 
trigger5 = movecontact
trigger6 = stateno = 1021 && time >= 67
trigger6 = movecontact
trigger7 = stateno = 1025 && time >= 8
trigger7 = movecontact
trigger8 = stateno = 100 && time > 5

;---------------------------------------------------------------------------
;Weak Heat Shotel (Air Version)
[State -1, Weak Heat Shotel]
type = ChangeState
value = 1015
triggerall = command = "QCF1"
triggerall = numproj = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = [600,699]
trigger2 = movecontact
trigger3 = stateno = [800,806]

;---------------------------------------------------------------------------
;Strong Heat Shotel (Air Version)
[State -1, Strong Heat Shotel]
type = ChangeState
value = 1016
triggerall = command = "QCF2"
triggerall = numproj = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = [600,699]
trigger2 = movecontact
trigger3 = stateno = [800,806]

;---------------------------------------------------------------------------
;Weak Shotel Combo
[State -1, Weak Shotel Combo]
type = ChangeState
value = 1020
triggerall = command = "QCB1"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && time > 10
trigger2 = movecontact
trigger3 = stateno = [210,230]
trigger3 = movecontact
trigger4 = stateno = [400,430]
trigger4 = movecontact
trigger5 = stateno = 1000 && time > 15
trigger6 = stateno = 1010 && time > 15
trigger7 = stateno = 100 && time > 5

;---------------------------------------------------------------------------
;Strong Shotel Combo
[State -1, Strong Shotel Combo]
type = ChangeState
value = 1021
triggerall = command = "QCB2"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && time > 10
trigger2 = movecontact
trigger3 = stateno = [210, 230]
trigger3 = movecontact
trigger4 = stateno = [400, 430]
trigger4 = movecontact
trigger5 = stateno = 1000 && time > 15
trigger6 = stateno = 1010 && time > 15
trigger7 = stateno = 100 && time > 5

;---------------------------------------------------------------------------
;Guard Dash Forward
[State -1, Guard Dash Forward]
type = ChangeState
value = 810
triggerall = command = "holdfwd" && command = "vernier"
trigger1 = (statetype = S) && (ctrl)

;---------------------------------------------------------------------------
;Guard Dash Back
[State -1, Guard Dash Back]
type = ChangeState
value = 814
triggerall = command = "holdback" && command = "vernier"
trigger1 = (statetype = S) && (ctrl)

;---------------------------------------------------------------------------
;Vernier Jump
[State -1, Vernier Jump]
type = ChangeState
value = 800 + (Pos Y < 0)
triggerall = command = "vernier"
triggerall = !var(15)
trigger1 = statetype != A && ctrl
trigger2 = statetype = A && ctrl
trigger2 = stateno != 801 && stateno != 803 && stateno != 820

;---------------------------------------------------------------------------
;Vernier Jump 2
[State -1, Vernier Jump 2]
type = ChangeState
value = 803
triggerall = command = "vernier"
triggerall = var(15)
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
trigger1 = stateno = 801 && time > 10

;---------------------------------------------------------------------------
;Air Dash Forward
[State -1, Air Dash Forward]
type = ChangeState
value = 805
triggerall = command = "vernier" && command = "holdfwd"
triggerall = var(15)
trigger1 = stateno = 801

;---------------------------------------------------------------------------
;Air Dash Back
[State -1, Air Dash Back]
type = ChangeState
value = 806
triggerall = command = "vernier" && command = "holdback"
triggerall = var(15)
trigger1 = stateno = 801

;---------------------------------------------------------------------------
;Strong Vulcan Gun (Stand)
[State -1, Strong Vulcan Gun (Stand)]
type = ChangeState
value = 1055
triggerall = command = "y"
triggerall = numproj = 0
triggerall = power >= 300
triggerall = statetype = S
triggerall = ctrl
trigger1 = NumExplod(2)
trigger2 = NumExplod(1)

;---------------------------------------------------------------------------
;Weak Vulcan Gun (Stand)
[State -1, Weak Vulcan Gun (Stand)]
type = ChangeState
value = 1050
triggerall = command = "x"
triggerall = numproj = 0
triggerall = power >= 150
triggerall = statetype = S
triggerall = ctrl
trigger1 = NumExplod(2)
trigger2 = NumExplod(1)

;---------------------------------------------------------------------------
;Strong Vulcan Gun (Crouch) Upward
[State -1, Strong Vulcan Gun (Crouch) Upward]
type = ChangeState
value = 1065
triggerall = command = "y" 
triggerall = command = "holddown"
triggerall = numproj = 0
triggerall = power >= 300
triggerall = ctrl
trigger1 = NumExplod(4)
trigger2 = NumExplod(3)

;---------------------------------------------------------------------------
;Weak Vulcan Gun (Crouch) Upward
[State -1, Weak Vulcan Gun (Crouch) Upward]
type = ChangeState
value = 1060
triggerall = command = "x" 
triggerall = command = "holddown"
triggerall = numproj = 0
triggerall = power >= 150
triggerall = ctrl
trigger1 = NumExplod(4)
trigger2 = NumExplod(3)

;---------------------------------------------------------------------------
;Strong Vulcan Gun (Crouch) Downward
[State -1, Strong Vulcan Gun (Crouch) Downward]
type = ChangeState
value = 1075
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = numproj = 0
triggerall = power >= 300
triggerall = ctrl
trigger1 = NumExplod(4)
trigger2 = NumExplod(3)

;---------------------------------------------------------------------------
;Weak Vulcan Gun (Crouch) Downward
[State -1, Weak Vulcan Gun (Crouch) Downward]
type = ChangeState
value = 1070
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = numproj = 0
triggerall = power >= 150
triggerall = ctrl
trigger1 = NumExplod(4)
trigger2 = NumExplod(3)

;---------------------------------------------------------------------------
;Air Combo Jump
;LbN
[State -1, ACJ]
type = ChangeState
value = 40 ;800
triggerall = command = "holdup"
trigger1 = stateno = 220 && movehit

;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
;_bV
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
;ރ_bV
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Stand_Throw (weak)
;
[State -1, Standing Throw]
type = ChangeState
value = 1030
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "fwd_x"
trigger1 = p2bodydist X < 5
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = command = "back_x"
trigger2 = p2bodydist X < 10
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H

;----------------------------------------------------------------------------
;Stand_Throw (strong)
;
[State -1, Standing Throw]
type = ChangeState
value = 1035
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "fwd_y"
trigger1 = p2bodydist X < 5
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = command = "back_y"
trigger2 = p2bodydist X < 10
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H


;===========================================================================
;---------------------------------------------------------------------------
;Stand Light Punch
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = time > 7 && movecontact
trigger3 = (stateno = 400) && movecontact
trigger4 = (stateno = 430) && movecontact
trigger3 = stateno = 100

;---------------------------------------------------------------------------
;Stand Strong Punch
;p`
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact
trigger3 = (stateno = 400) && movecontact
trigger4 = stateno = 100

;---------------------------------------------------------------------------
;Stand Light Kick
;LbN
[State -1, Stand Light Kick]
type = ChangeState
value = 220
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact
trigger3 = (stateno = 210) && movecontact
trigger4 = hitdefattr = C, NA
trigger4 = movecontact
trigger5 = stateno = 100

;---------------------------------------------------------------------------
;Standing Strong Kick
;LbN
[State -1, Standing Strong Kick]
type = ChangeState
value = 230
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact
trigger3 = (stateno = 210) && movecontact
trigger4 = (stateno = 220) && movecontact
trigger5 = (stateno = 400) && movecontact
trigger6 = (stateno = 430) && movecontact
trigger6 = stateno = 100

;---------------------------------------------------------------------------
;Taunt
;
[State -1, Taunt]
type = null ;ChangeState
value = 195
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
; CounterStrike
[State -1, CounterStrike]
type = ChangeState
value = 830
triggerall = command = "counter"
triggerall = power >= 500
trigger1 = stateno = [150,155]
trigger2 = stateno = [810,815]
trigger2 = movecontact

;---------------------------------------------------------------------------
;Crouching Light Punch
;Ⴊݎp`
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = hitdefattr = S, NA
trigger2 = movecontact
trigger3 = stateno = 100

;---------------------------------------------------------------------------
;Crouching Strong Punch
;Ⴊ݋p`
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) && movecontact
trigger3 = hitdefattr = S, NA
trigger3 = movecontact
trigger4 = stateno = 100

;---------------------------------------------------------------------------
;Crouching Light Kick
;ႪݎLbN
[State -1, Crouching Light Kick]
type = ChangeState
value = 420
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) && movecontact
trigger3 = (stateno = 410) && movecontact
trigger4 = hitdefattr = S, NA
trigger4 = movecontact
trigger5 = stateno = 100

;---------------------------------------------------------------------------
;Crouching Strong Kick
;Ⴊ݋LbN
[State -1, Crouching Strong Kick]
type = ChangeState
value = 430
triggerall = command = "b" 
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) && movecontact
trigger3 = (stateno = 410) && movecontact
trigger4 = (stateno = 420) && movecontact
trigger5 = hitdefattr = S, NA
trigger5 = movecontact
trigger6 = stateno = 100

;---------------------------------------------------------------------------
;Jump Light Punch
;󒆎p`
[State -1, Jump Light Punch]
type = ChangeState
value = 620
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = [800,806]
trigger2 = statetime >= 7

;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 630
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = (stateno = 620) && movecontact
trigger3 = (stateno = [800,806]) && statetime >= 7


;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 600
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = (stateno = [620,630]) && movecontact
trigger3 = (stateno = [800,806]) && statetime >= 7

;---------------------------------------------------------------------------
;Jump Strong Kick
;󒆋LbN
[State -1, Jump Strong Kick]
type = ChangeState
value = 610
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = (stateno = [600,630]) && movecontact
trigger2 = stateno != 610
trigger3 = (stateno = [800,806]) && statetime >= 7

;===========================================================================
